// CallLogRef.h: CCallLogRef NX̃C^[tFCX
//
//////////////////////////////////////////////////////////////////////
#ifndef __CCALLLOGREF_H_
#define __CCALLLOGREF_H_

#include <list>
#include "CallLogEntry.h"


/* Typedefs */
typedef enum {
	CALLLOG_REF_BEGINNING,
	CALLLOG_REF_END
} CALLLOG_REF_SEEK;

typedef std::list<CCallLogEntry*>			StlCallLogEntryList;
typedef std::list<CCallLogEntry*>::iterator StlCallLogEntryListItr;


/* Classes */
class CCallLogRef  
{
private:
	BOOL					m_bOpened;
	StlCallLogEntryList		m_stlCallLogEntryList;
	StlCallLogEntryListItr	m_CurrLogEntryItr;

private:
	void Dispose();

public:
	CCallLogRef();
	virtual ~CCallLogRef();
	BOOL	Open();
	void	Close();
	BOOL	Seek(CALLLOG_REF_SEEK seek, DWORD iRecord, LPDWORD piRecord);
	BOOL	Get(CCallLogEntry** ppEntry);
};

#endif
