// CallLogRefMgr.h: CCallLogRefMgr NX̃C^[tFCX
//
//////////////////////////////////////////////////////////////////////
#ifndef __CCALLLOGREFMGR_H_
#define __CCALLLOGREFMGR_H_

#include <list>
#include "CallLogRef.h"

/* Typedefs */
typedef std::list<CCallLogRef*>	StlCallLogRefList;
typedef std::list<CCallLogRef*>::iterator StlCallLogRefListItr;


/* Classes */
class CCallLogRefMgrKiller;

class CCallLogRefMgr  
{
private:
	static	CCallLogRefMgr*			m_pInstance;
	static	CCallLogRefMgrKiller	m_killer;
	StlCallLogRefList	m_stlCallLogRefList;

private:
	CCallLogRefMgr();

public:
	virtual ~CCallLogRefMgr();
	static	CCallLogRefMgr*	getInstance();
	CCallLogRef*	CreateRef();
	BOOL			DeleteRef(CCallLogRef*);
	BOOL			FindRef(CCallLogRef*);
};

#endif
